SDL_kmsdrmdyn.h File Reference
`#include "../../SDL_internal.h"`
`#include <xf86drm.h>`
`#include <xf86drmMode.h>`
`#include <gbm.h>`
`#include "SDL_kmsdrmsym.h"`
Include dependency graph for SDL_kmsdrmdyn.h:

Go to the source code of this file.

## Macros

#define | SDL_KMSDRM_SYM(rc, fn, params)
#define | SDL_KMSDRM_SYM_CONST(type, name)

## Functions

int | SDL_KMSDRM_LoadSymbols (void)
void | SDL_KMSDRM_UnloadSymbols (void)

## Macro Definition Documentation

## SDL_KMSDRM_SYM

#define SDL_KMSDRM_SYM | ( |  | rc,
|  |  | fn,
|  |  | params
| ) |  |

Value:
typedef rc (*SDL_DYNKMSDRMFN_##fn) params; \
extern SDL_DYNKMSDRMFN_##fn KMSDRM_##fn;

Definition at line 39 of file SDL_kmsdrmdyn.h.

## SDL_KMSDRM_SYM_CONST

#define SDL_KMSDRM_SYM_CONST | ( |  | type,
|  |  | name
| ) |  |

Value:
typedef type SDL_DYNKMSDRMCONST_##name; \
extern SDL_DYNKMSDRMCONST_##name KMSDRM_##name;

Definition at line 42 of file SDL_kmsdrmdyn.h.

## Function Documentation

## SDL_KMSDRM_LoadSymbols()

int SDL_KMSDRM_LoadSymbols | ( | void |  | ) |

## SDL_KMSDRM_UnloadSymbols()

void SDL_KMSDRM_UnloadSymbols | ( | void |  | ) |

params
const GLfloat * params
Definition: SDL_opengl_glext.h:371
name
GLuint const GLchar * name
Definition: SDL_opengl_glext.h:660
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571